> ## Documentation Index
> Fetch the complete documentation index at: https://gcore.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get referer in built-in player

> Aggregates the number of views, grouping them by "referer" URL of pages the built-in player was embeded to.

Note. This method operates only on data collected by the built-in HTML player. It will not show statistics if you are using another player or viewing in native OS players through direct .m3u8/.mpd/.mp4 links. For such cases, use calculations through CDN (look at method /statistics/cdn/uniqs) or statistics of the players you have chosen.



## OpenAPI

````yaml /api-reference/services_documented/streaming_api.yaml get /streaming/statistics/embeds
openapi: 3.1.0
info:
  title: Gcore OpenAPI – Streaming API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: '2026-05-14T07:00:22.640261+00:00'
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - name: AI
    x-displayName: AI
  - name: Broadcasts
    x-displayName: Broadcasts
  - name: Directories
    x-displayName: Directories
  - name: Overlays
    x-displayName: Overlays
  - name: Players
    x-displayName: Players
  - name: Playlists
    x-displayName: Playlists
  - name: QualitySets
    x-displayName: QualitySets
  - name: Restreams
    x-displayName: Restreams
  - name: Streaming Statistics
    x-displayName: Statistics
  - name: Streams
    x-displayName: Streams
  - name: Subtitles
    x-displayName: Subtitles
  - name: Videos
    x-displayName: Videos
paths:
  /streaming/statistics/embeds:
    get:
      tags:
        - Streaming Statistics
      summary: Get referer in built-in player
      description: >-
        Aggregates the number of views, grouping them by "referer" URL of pages
        the built-in player was embeded to.


        Note. This method operates only on data collected by the built-in HTML
        player. It will not show statistics if you are using another player or
        viewing in native OS players through direct .m3u8/.mpd/.mp4 links. For
        such cases, use calculations through CDN (look at method
        /statistics/cdn/uniqs) or statistics of the players you have chosen.
      operationId: getEmbeds
      parameters:
        - name: date_from
          in: query
          required: true
          description: Start of time frame. Datetime in ISO 8601 format.
          schema:
            type: string
          example: '2024-05-01T00:00:00Z'
        - name: date_to
          in: query
          required: true
          description: End of time frame. Datetime in ISO 8601 format.
          schema:
            type: string
          example: '2024-05-31T23:59:59Z'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/embeds'
        '400':
          $ref: '#/components/responses/error_bad_request'
        '500':
          $ref: '#/components/responses/error_internal_server'
      x-codeSamples:
        - lang: Python
          source: |-
            import os
            from gcore import Gcore

            client = Gcore(
                api_key=os.environ.get("GCORE_API_KEY"),  # This is the default and can be omitted
            )
            views_by_referer = client.streaming.statistics.get_views_by_referer(
                date_from="date_from",
                date_to="date_to",
            )
            print(views_by_referer.data)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/G-Core/gcore-go\"\n\t\"github.com/G-Core/gcore-go/option\"\n\t\"github.com/G-Core/gcore-go/streaming\"\n)\n\nfunc main() {\n\tclient := gcore.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tviewsByReferer, err := client.Streaming.Statistics.GetViewsByReferer(context.TODO(), streaming.StatisticGetViewsByRefererParams{\n\t\tDateFrom: \"date_from\",\n\t\tDateTo:   \"date_to\",\n\t})\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", viewsByReferer.Data)\n}\n"
components:
  schemas:
    embeds:
      type: object
      properties:
        data:
          type: array
          items:
            type: object
            required:
              - views
              - embed_url
            properties:
              views:
                type: integer
              embed_url:
                type: string
      example:
        data:
          - views: 100500
            embed_url: https://example.com/xxx-yyy
          - views: 3000
            embed_url: https://example.com/xxx-zzz
    error_common:
      required:
        - data
        - errors
      type: object
      properties:
        data:
          type: array
          items:
            type: string
        errors:
          type: array
          items:
            type: string
  responses:
    error_bad_request:
      description: Bad Request
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/error_common'
          examples:
            missingParam:
              summary: Missing query param
              value:
                data: []
                errors:
                  - 'from: query param is not set'
    error_internal_server:
      description: Internal Server Error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/error_common'
          examples:
            internalServerError:
              summary: Internal Server Error
              value:
                data: []
                errors:
                  - internal server error
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````